#ifndef GRAPH_HPP
#define GRAPH_HPP

#include "windows.h"
#include "point.hpp"

class TGraph {
private:
HDC DC;
HBITMAP Bitmap;
RECT ClientRect;
int Width, Height;
int hw, hh;
int sw, sh;
int MaxModX, MaxModY;
public:
TGraph(HDC CompatibleDC, int xMaxModX, int xMaxModY, RECT xClientRect);
~TGraph();
int Clear();
COLORREF PlotPoint(double x, double y);
COLORREF PlotPoint(TPoint p);
BOOL BitBltTo(HDC Dest);
};

#endif
